#include<bits/stdc++.h>
using namespace std;
int main(){
	freopen("traverse.in","r",stdin);
	freopen("traverse.out","w",stdout);
	int c,T;
	cin>>c>>T;
	while(T--){
		if(c==1)	cout<<2;
		else if(c==7)	cout<<3;
		else cout<<2024/11;
		cout<<endl;
	}
	return 0;
}
